Page MenuHomePhabricator

Text area not obvious when creating New talk page on MF with MinervaB
Closed, ResolvedPublic0 Story Points

Description

On mobile front end, when creating a new talk page (using the create this page link from the message There is currently no text in this page. You can search for this page title in other pages, search the related logs, or create this page.) displays the Toolbar but the text area is not immediately obvious to the user. This may however give ( on first impression ) that it is not there unless they do a few clicks around the tool bar (for those who are aware that there ought to be a text area below).

Steps to reproduce

  • Install the MF extension and the MinervaNeue skin
  • Try to create a new talk page
  • Confirm that the toolbox is immediately noticeable but the textbox is not ( like other skins where the border is seen around it.)

Suggestion

In edit mode, the text area could be given something like`autofocus` so that the cursor immediately makes it visible and obvious.

Styling the toolbox section to be more visible and obvious to the user.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 25 2017, 12:38 PM
Jdlrobson edited projects, added MinervaNeue; removed MobileFrontend.EditedAug 25 2017, 3:00 PM

Can you provide some more details?
When I visit https://en.wikipedia.org/w/index.php?title=Talk:Sandwichdjassaj&action=edit I see the talk page edit area quite clearly.

Eugene233 updated the task description. (Show Details)Aug 26 2017, 6:02 AM
Eugene233 updated the task description. (Show Details)Aug 26 2017, 6:10 AM
Eugene233 updated the task description. (Show Details)
Eugene233 renamed this task from Text area not obvious when creating New talk page on a fresh MW install to Text area not obvious when creating New talk page on MF with MinervaB .Aug 29 2017, 11:15 AM
Eugene233 updated the task description. (Show Details)

I'm still not able to replicate this bug.
@Eugene233 some screenshots would also be useful.

It would also be good to clarify how it works in comparison to the beta cluster: https://en.m.wikipedia.beta.wmflabs.org/wiki/Headings

Deskana moved this task from To Triage to Freezer on the VisualEditor board.Aug 29 2017, 7:12 PM
Jdlrobson moved this task from Backlog to Bugs on the MinervaNeue board.Sep 5 2017, 8:57 PM
Jdlrobson moved this task from Bugs to New adventures on the MinervaNeue board.


^ is this what you are referring to?

Change 376141 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/skins/MinervaNeue@master] Show border of editor in Minerva edit mode

https://gerrit.wikimedia.org/r/376141

^ @Jdlrobson. This is the screenshot as you requested

Change 376141 merged by jenkins-bot:
[mediawiki/skins/MinervaNeue@master] Show border of editor in Minerva edit mode

https://gerrit.wikimedia.org/r/376141

Jdlrobson closed this task as Resolved.Sep 6 2017, 1:43 PM
Jdlrobson claimed this task.

Fixed now on beta cluster

Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptSep 6 2017, 1:43 PM
Jdforrester-WMF set the point value for this task to 0.